Bug 1868043 - [Assisted-4.5 ]When user has no OCM clusters there is no UI path to assisted installer cluster console
Summary: [Assisted-4.5 ]When user has no OCM clusters there is no UI path to assisted ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.6.0
Assignee: Rastislav Wagner
QA Contact: Udi Kalifon
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-11 13:40 UTC by nshidlin
Modified: 2020-10-27 16:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:27:31 UTC
Target Upstream Version:


Attachments (Terms of Use)
screen shot of https://qaprodauth.cloud.redhat.com/openshift/ (79.85 KB, image/png)
2020-08-11 13:40 UTC, nshidlin
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:27:50 UTC

Description nshidlin 2020-08-11 13:40:11 UTC
Created attachment 1711083 [details]
screen shot of https://qaprodauth.cloud.redhat.com/openshift/

Description of problem:
When user has no OCM clusters there is no path to assisted installer cluster console. The only way to navigate to the assisted installer console is to create a cluster and navigate from there to "All Clusters"

Version-Release number of selected component (if applicable):
integration environment version:
{
  "Username": "nshidlin",
  "CurrentApp": "Clusters",
  "ApplicationPath": "/openshift/",
  "apps": [
    {
      "name": "Chrome",
      "path": "apps/chrome/app.info.json",
      "version": "9620d2a97d768148a72adb9c166611b0db8db5c6"
    },
    {
      "name": "Dashboard",
      "path": "apps/dashboard/app.info.json",
      "version": "2e0a62ed876afcc4a6a6ca78f0b9de6692013df3"
    },
    {
      "name": "Inventory",
      "path": "apps/inventory/app.info.json",
      "version": "6b6e8b7383286e7a76bad249548cc2f2df723f1b"
    },
    {
      "name": "Remediations",
      "path": "apps/remediations/app.info.json",
      "version": "1de53dd4fde78fecae0693f46928f1cb4e397447"
    },
    {
      "name": "Vulnerability",
      "path": "apps/vulnerability/app.info.json",
      "version": "aa9b10ddc9a3c7bf55815f0461a6d7df99a21c3e"
    },
    {
      "name": "Compliance",
      "path": "apps/compliance/app.info.json",
      "version": "336e3d9ce9c5a30702b5258412577f3c7f2bf730"
    },
    {
      "name": "Cost Management",
      "path": "apps/cost-management/app.info.json",
      "version": "fd47acf52a26531997c31df1e8d05dfa1408deef"
    },
    {
      "name": "Advisor",
      "path": "apps/advisor/app.info.json",
      "version": "bf0025525731f0844cdf0281ca63b759f48d8314"
    },
    {
      "name": "Drift",
      "path": "apps/drift/app.info.json",
      "version": "9f197dc792e11d5426ba4506a0463985dd5ccab3"
    },
    {
      "name": "Migration Analytics",
      "path": "apps/migration-analytics/app.info.json",
      "version": "7f37fa8e9fa0d29d8b1d7be8ba4cfe22979cdaff"
    },
    {
      "name": "Automation Hub",
      "path": "apps/automation-hub/app.info.json",
      "version": "ca246b05caebe7b3dff7ca5383967921d13c504d"
    },
    {
      "name": "Automation Analytics",
      "path": "apps/automation-analytics/app.info.json",
      "version": "89f9692730b63bf77849b61bfd25950e68a21678"
    },
    {
      "name": "Policies",
      "path": "apps/policies/app.info.json",
      "version": "4a1c815911575fe4a7544392bdf28f94dc18e046"
    },
    {
      "name": "Patch",
      "path": "apps/patch/app.info.json",
      "version": "5561c9a04e951fbbc768bbc93cfb0a09dfe8475d"
    },
    {
      "name": "Automation Services Catalog",
      "path": "apps/catalog/app.info.json",
      "version": "3a6fa78ae09925f9abc855e98a8f55cf68754a73"
    },
    {
      "name": "Approval",
      "path": "apps/approval/app.info.json",
      "version": "cccf3dfb0696a7a2bd7d5610e5654678d1623288"
    },
    {
      "name": "Sources",
      "path": "apps/sources/app.info.json",
      "version": "1ac97402cc3715feb8a078fc6f268abc2921083a"
    }
  ]
}

Assisted installer version:
{
  "versions":
    {
      "assisted-installer":"quay.io/ocpmetal/assisted-installer:latest",
      "assisted-installer-controller":"quay.io/ocpmetal/assisted-installer-controller:latest",
      "assisted-installer-service":"quay.io/ocpmetal/installer-image-build:latest",
      "discovery-agent":"quay.io/ocpmetal/agent:latest",
      "ignition-manifests-and-kubeconfig-generate":"quay.io/ocpmetal/ignition-manifests-and-kubeconfig-generate:latest",
      "image-builder":"quay.io/carbonin/installer-image-build:latest"
    }
}

How reproducible:
Every time

Steps to Reproduce:
1.Login to OCM integration environment as a user with no OCM clusters
2.Create a cluster using assisted installer
3.Navigate back to https://qaprodauth.cloud.redhat.com/openshift/

Actual results:
No clusters listed
No link or kebab menu item to navigate to assisted installer managed clusters


Expected results:
link or kebab menu item to navigate to assisted installer managed clusters


Additional info:

Comment 2 nshidlin 2020-08-18 09:24:54 UTC
Verified on version:
{
  "Username": "nshidlin",
  "CurrentApp": "Clusters",
  "ApplicationPath": "/openshift/",
  "apps": [
    {
      "name": "Chrome",
      "path": "apps/chrome/app.info.json",
      "version": "9620d2a97d768148a72adb9c166611b0db8db5c6"
    },
    {
      "name": "Dashboard",
      "path": "apps/dashboard/app.info.json",
      "version": "2d1df86449701555a0b59e1462537182df371381"
    },
    {
      "name": "Inventory",
      "path": "apps/inventory/app.info.json",
      "version": "6b6e8b7383286e7a76bad249548cc2f2df723f1b"
    },
    {
      "name": "Remediations",
      "path": "apps/remediations/app.info.json",
      "version": "1de53dd4fde78fecae0693f46928f1cb4e397447"
    },
    {
      "name": "Vulnerability",
      "path": "apps/vulnerability/app.info.json",
      "version": "aa9b10ddc9a3c7bf55815f0461a6d7df99a21c3e"
    },
    {
      "name": "Compliance",
      "path": "apps/compliance/app.info.json",
      "version": "336e3d9ce9c5a30702b5258412577f3c7f2bf730"
    },
    {
      "name": "Cost Management",
      "path": "apps/cost-management/app.info.json",
      "version": "fd47acf52a26531997c31df1e8d05dfa1408deef"
    },
    {
      "name": "Advisor",
      "path": "apps/advisor/app.info.json",
      "version": "e0568c6b7fabbea86fd3a17d960831a3d12be429"
    },
    {
      "name": "Drift",
      "path": "apps/drift/app.info.json",
      "version": "9f197dc792e11d5426ba4506a0463985dd5ccab3"
    },
    {
      "name": "Migration Analytics",
      "path": "apps/migration-analytics/app.info.json",
      "version": "7f37fa8e9fa0d29d8b1d7be8ba4cfe22979cdaff"
    },
    {
      "name": "Automation Hub",
      "path": "apps/automation-hub/app.info.json",
      "version": "5884daee9a75b899e0788324ab9cf61ede96af08"
    },
    {
      "name": "Automation Analytics",
      "path": "apps/automation-analytics/app.info.json",
      "version": "89f9692730b63bf77849b61bfd25950e68a21678"
    },
    {
      "name": "Policies",
      "path": "apps/policies/app.info.json",
      "version": "6acc23436b2b8b3158c4dd983814cd6644f8ae20"
    },
    {
      "name": "Patch",
      "path": "apps/patch/app.info.json",
      "version": "5561c9a04e951fbbc768bbc93cfb0a09dfe8475d"
    },
    {
      "name": "Automation Services Catalog",
      "path": "apps/catalog/app.info.json",
      "version": "3a6fa78ae09925f9abc855e98a8f55cf68754a73"
    },
    {
      "name": "Approval",
      "path": "apps/approval/app.info.json",
      "version": "cccf3dfb0696a7a2bd7d5610e5654678d1623288"
    },
    {
      "name": "Sources",
      "path": "apps/sources/app.info.json",
      "version": "5b1866c8522fd7252ea3b0f7db4b1decfbe8b555"
    }
  ]
}

Comment 5 errata-xmlrpc 2020-10-27 16:27:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.